LogFileNode (ActiveIO 1.0 API)
Keywords: org.activeio.journal.active.LogFileNode class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.activeio.journal.active
Class LogFileNode

    java.lang.Object
      org.activeio.journal.active.LogFileNode

final class LogFileNode
extends java.lang.Object

Version:
  $Revision: 1.1 $

Field Summary
`static int` | `SERIALIZED_SIZE`

Constructor Summary
`LogFileNode(LogFile logFile)`

Method Summary
`void` | `activate(int id)`
`void` | `appended(int i)`
`int` | `getAppendOffset()`
`Location` | `getFirstRecordLocation()`
`int` | `getId()`
`LogFile` | `getLogFile()`
`LogFileNode` | `getNext()`
`LogFileNode` | `getNextActive()`
`LogFileNode` | `getNextInactive()`
`boolean` | `isActive()`
`boolean` | `isReadOnly()`
`void` | `readExternal(java.io.DataInput data)`
`void` | `reinitialize()`
`void` | `setActive(boolean enable)`
`void` | `setAppendOffset(int offset)`
`void` | `setNext(LogFileNode state)`
`void` | `setReadOnly(boolean enable)`
`void` | `writeExternal(java.io.DataOutput data)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SERIALIZED_SIZE

    public static final int SERIALIZED_SIZE

See Also:
  Constant Field Values

Constructor Detail

### LogFileNode

    public LogFileNode(LogFile logFile)

Method Detail

### getLogFile

    public LogFile getLogFile()

### activate

    public void activate(int id)

### getId

    public int getId()

### setReadOnly

    public void setReadOnly(boolean enable)

### reinitialize

    public void reinitialize()
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

### isActive

    public boolean isActive()

### setActive

    public void setActive(boolean enable)

### getAppendOffset

    public int getAppendOffset()

### getFirstRecordLocation

    public Location getFirstRecordLocation()

### isReadOnly

    public boolean isReadOnly()

### appended

    public void appended(int i)

### getNext

    public LogFileNode getNext()

### setNext

    public void setNext(LogFileNode state)

### getNextActive

    public LogFileNode getNextActive()

### getNextInactive

    public LogFileNode getNextInactive()

### writeExternal

    public void writeExternal(java.io.DataOutput data)
                       throws java.io.IOException

  Parameters:
    `data` -
  Throws:
    `java.io.IOException`

### readExternal

    public void readExternal(java.io.DataInput data)
                      throws java.io.IOException

  Parameters:
    `data` -
  Throws:
    `java.io.IOException`

### setAppendOffset

    public void setAppendOffset(int offset)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © -2005 The ActiveIO Project. All Rights Reserved.